#!/bin/bash
# detects nic info

if [ -e /sbin/ifconfig ]; then
    for nic in $(ifconfig |grep ^[[:alpha:]]|awk '{ print $1 }') 
      do
      if [ ! $nic = lo ]; then
	  testmode=$(ps ax |grep dhcp |grep $nic)
	  if [ -z "$testmode" ]; then 
	      mode=static
	  else
	      mode=dynamic
	  fi
	  ip=$(/sbin/ifconfig $nic | grep inet |awk '{ print $2 }'|cut -d: -f2)
	  broadcast=$(/sbin/ifconfig $nic | grep inet |awk '{ print $3 }'|cut -d: -f2)
	  netmask=$(/sbin/ifconfig $nic | grep inet |awk '{print $4 }'|cut -d: -f2)
	  gateway=$(/sbin/route -n |grep UG|grep $nic | awk '{print $2}')
	  
	  echo "# config file for $nic"
	  echo "MODE=$mode"
	  echo "IP=$ip"
	  echo "BROADCAST=$broadcast"
	  echo "NETMASK=$netmask"
	  echo "GATEWAY=$gateway"
      fi
    done
fi
